commit:     6330c990417cfe307a1651f3345403116923529d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 21 17:08:23 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 21 18:12:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6330c990

app-portage/g-cpan: Support sys-apps/portage-mgorny

 .../g-cpan/{g-cpan-0.16.9.ebuild => g-cpan-0.16.9-r1.ebuild}       | 7 +++++--
 app-portage/g-cpan/g-cpan-9999.ebuild                              | 7 +++++--
 2 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/app-portage/g-cpan/g-cpan-0.16.9.ebuild 
b/app-portage/g-cpan/g-cpan-0.16.9-r1.ebuild
similarity index 93%
rename from app-portage/g-cpan/g-cpan-0.16.9.ebuild
rename to app-portage/g-cpan/g-cpan-0.16.9-r1.ebuild
index a385366a29c..39bcbf8a06f 100644
--- a/app-portage/g-cpan/g-cpan-0.16.9.ebuild
+++ b/app-portage/g-cpan/g-cpan-0.16.9-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -31,7 +31,10 @@ COMMONDEPEND="
        >=dev-perl/YAML-0.60
 "
 RDEPEND="${COMMONDEPEND}
-       >=sys-apps/portage-2.0.0
+       || (
+               >=sys-apps/portage-2.0.0
+               sys-apps/portage-mgorny
+       )
 "
 DEPEND="${COMMONDEPEND}
        virtual/perl-ExtUtils-MakeMaker

diff --git a/app-portage/g-cpan/g-cpan-9999.ebuild 
b/app-portage/g-cpan/g-cpan-9999.ebuild
index 669c0992637..50536a4a795 100644
--- a/app-portage/g-cpan/g-cpan-9999.ebuild
+++ b/app-portage/g-cpan/g-cpan-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -33,7 +33,10 @@ COMMONDEPEND="
        >=dev-perl/YAML-0.60
 "
 RDEPEND="${COMMONDEPEND}
-       >=sys-apps/portage-2.0.0
+       || (
+               >=sys-apps/portage-2.0.0
+               sys-apps/portage-mgorny
+       )
 "
 DEPEND="${COMMONDEPEND}
        virtual/perl-ExtUtils-MakeMaker

Reply via email to